RIGDash was previously advertised as working on Android v4.0+. This introduced a lot of unexpected behaviour. Due to this, the minimum version requirement has been reverted to v4.4+
Apologies to those who have tried to run this on versions previous to 4.4.